com.holonplatform.vaadin.flow.components

## Enum Selectable.SelectionMode

- java.lang.Object
- - java.lang.Enum<Selectable.SelectionMode>
  - - com.holonplatform.vaadin.flow.components.Selectable.SelectionMode

- All Implemented Interfaces:
    Serializable, Comparable<Selectable.SelectionMode>
  Enclosing interface:
    Selectable<T>

      public static enum Selectable.SelectionMode
      extends Enum<Selectable.SelectionMode>

  Selection modes enumeration.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MULTI` Multiple selection mode.
    `NONE` The selection is not active.
    `SINGLE` Single selection mode.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Selectable.SelectionMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Selectable.SelectionMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final Selectable.SelectionMode NONE

      The selection is not active.

    - #### SINGLE

          public static final Selectable.SelectionMode SINGLE

      Single selection mode.

    - #### MULTI

          public static final Selectable.SelectionMode MULTI

      Multiple selection mode.

  - ### Method Detail

    - #### values

          public static Selectable.SelectionMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Selectable.SelectionMode c : Selectable.SelectionMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Selectable.SelectionMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2020 The Holon Platform. All rights reserved.